<button type="button" class="btn btn-primary btn-sm" data-toggle="modal"
        data-target="#unit_settings_modal_{{ unit.id }}">
    Change orders
</button>

<!-- Modal -->
<div class="modal fade" id="unit_settings_modal_{{ unit.id }}" tabindex="-1"
     role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <form class="form-horizontal" method="post"
                  action="{% url 'unit:battle_settings' unit.id %}">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"
                            aria-label="Close"><span
                            aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title" id="myModalLabel">
                        Battle
                        settings: {{ unit.get_long_html_descriptor|safe }}
                    </h4>
                </div>
                <div class="modal-body">
                    {% csrf_token %}

                    <div class="form-group">
                        <label for="battle_line"
                               class="col-sm-3 control-label">Battle
                            line</label>
                        <div class="col-sm-9">
                            <select class="form-control" name="battle_line"
                                    id="battle_line">
                                <option value="0"
                                        {% if unit.battle_line == 0 %}selected{% endif %}>
                                    Advanced line
                                </option>
                                <option value="1"
                                        {% if unit.battle_line == 1 %}selected{% endif %}>
                                    Front line
                                </option>
                                <option value="2"
                                        {% if unit.battle_line == 2 %}selected{% endif %}>
                                    Middle line
                                </option>
                                <option value="3"
                                        {% if unit.battle_line == 3 %}selected{% endif %}>
                                    Rear line
                                </option>
                                <option value="4"
                                        {% if unit.battle_line == 4 %}selected{% endif %}>
                                    Rearguard
                                </option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="battle_side_pos"
                               class="col-sm-3 control-label">Battle
                            side</label>
                        <div class="col-sm-9">
                            <select class="form-control" name="battle_side_pos"
                                    id="battle_side_pos">
                                <option value="-5"
                                        {% if unit.battle_side_pos == -5 %}selected{% endif %}>
                                    Flanking far left
                                </option>
                                <option value="-4"
                                        {% if unit.battle_side_pos == -4 %}selected{% endif %}>
                                    Flanking left
                                </option>
                                <option value="-3"
                                        {% if unit.battle_side_pos == -3 %}selected{% endif %}>
                                    Cover left flank
                                </option>
                                <option value="-2"
                                        {% if unit.battle_side_pos == -2 %}selected{% endif %}>
                                    Left side
                                </option>
                                <option value="-1"
                                        {% if unit.battle_side_pos == -1 %}selected{% endif %}>
                                    Left-center
                                </option>
                                <option value="0"
                                        {% if unit.battle_side_pos == 0 %}selected{% endif %}>
                                    Center
                                </option>
                                <option value="1"
                                        {% if unit.battle_side_pos == 1 %}selected{% endif %}>
                                    Right-center
                                </option>
                                <option value="2"
                                        {% if unit.battle_side_pos == 2 %}selected{% endif %}>
                                    Right side
                                </option>
                                <option value="3"
                                        {% if unit.battle_side_pos == 3 %}selected{% endif %}>
                                    Cover right flank
                                </option>
                                <option value="4"
                                        {% if unit.battle_side_pos == 4 %}selected{% endif %}>
                                    Flanking right
                                </option>
                                <option value="5"
                                        {% if unit.battle_side_pos == 5 %}selected{% endif %}>
                                    Flanking far right
                                </option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="battle_orders"
                               class="col-sm-3 control-label">Orders</label>
                        <div class="col-sm-9">
                            <select class="form-control" name="battle_orders"
                                    id="battle_orders">
                                <option value="charge"
                                        {% if unit.default_battle_orders.what == "charge" %}selected{% endif %}>
                                    Charge the enemy
                                </option>
                                <option value="formation"
                                        {% if unit.default_battle_orders.what == "formation" %}selected{% endif %}>
                                    Advance maintaining formation
                                </option>
                                <option value="stand"
                                        {% if unit.default_battle_orders.what == "stand" %}selected{% endif %}>
                                    Keep ground
                                </option>
                                <option value="flee"
                                        {% if unit.default_battle_orders.what == "flee" %}selected{% endif %}>
                                    Flee
                                </option>
                                <option value="ranged and charge"
                                        {% if unit.default_battle_orders.what == "ranged and charge" %}selected{% endif %}>
                                    Ranged attack, then charge
                                </option>
                                <option value="ranged and flee"
                                        {% if unit.default_battle_orders.what == "ranged and flee" %}selected{% endif %}>
                                    Ranged attack, then flee
                                </option>
                                <option value="ranged and stand"
                                        {% if unit.default_battle_orders.what == "ranged and stand" %}selected{% endif %}>
                                    Ranged attack, then stand
                                </option>
                                <option value="stand and keep distance"
                                        {% if unit.default_battle_orders.what == "stand and keep distance" %}selected{% endif %}>
                                    Stand and keep distance
                                </option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default"
                            data-dismiss="modal">Close
                    </button>
                    <button type="submit" class="btn btn-primary">Save
                        changes
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>
